Clarify API
API ReferenceRecords

Create Bulk Records

POST
/workspaces/{workspace}/objects/{object}/records/bulk
Authorization<token>

API key authentication. Send your key in the Authorization header as: api-key <your-api-key>.

In: header

Path Parameters

workspace*string
object*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/workspaces/string/objects/string/records/bulk" \  -H "Content-Type: application/json" \  -d '{    "data": [      {        "type": "string",        "attributes": {}      }    ]  }'
{
  "links": {
    "next": "string",
    "prev": "string"
  },
  "meta": {
    "total_records": 0,
    "total_pages": 0
  },
  "data": [
    {
      "type": "record",
      "id": "string",
      "attributes": {},
      "relationships": {}
    }
  ]
}